<?xml version="1.0" encoding="UTF-8" ?> 

<programs>

<program name="eclipse.exe|studio.exe" value="1">
<method comment="eclipse">
<op name="findwnd" id="2" firstfrom="foreground"/>
<op name="final" TrimRightMatchType="equal|match|match|equal|match|equal|equal" TrimRight=" - Xilinx SDK| ? Eclipse| ? Eclipse SDK| - Eclipse Platform|- Android Studio*| - ADT| - Eclipse IDE"/>
</method>

<method comment="search">
<op name="findwnd" id="2" firstfrom="foreground"  matchtype="class" matchvalue="#32770"/>
<op name="final" ReplaceMatchType="equal|equal"  ReplaceMatchValue="search|replace" ReplaceMatchValue2="/|/"/>
</method>

</program>


<program name="notepad.exe" value="1">
<method comment="notepad">
<op name="findwnd" id="2" firstfrom="foreground"/>
<op name="final" TrimRightMatchType="equal|equal"  TrimRight=" - 记事本| - Notepad"/>
</method>

</program>

<program name="ccstudio.exe" value="1">
<method comment="ccs editor">
<op name="findwnd" id="2" firstfrom="foreground"/>
<op name="final" TrimRightMatchType="equal"  TrimRight=" - Code Composer Studio"/>
</method>

<method comment="search">
<op name="findwnd" id="2" firstfrom="foreground"  matchtype="class" matchvalue="#32770"/>
<op name="final" ReplaceMatchType="equal|equal"  ReplaceMatchValue="search|replace" ReplaceMatchValue2="/|/"/>
</method>

</program>

<program name="wps.exe|et.exe|wpp.exe" value="0">
<method comment="wps">
<op name="findwnd" id="2" firstfrom="foreground"/>
<op name="final" TrimRightMatchType="equal|equal|equal"  TrimRight=" - WPS 文字| - WPS 表格| - WPS 演示"/>
</method>

<method comment="search">
<op name="findwnd" id="2" firstfrom="foreground"  matchtype="class" matchvalue="#32770"/>
<op name="final" ReplaceMatchType="equal|equal"  ReplaceMatchValue="查找和替换|替换|查找" ReplaceMatchValue2="/|/|/"/>
</method>

</program>


<program name="kdiff3.exe" value="1">
<method comment="kdiff">
<op name="findwnd" id="2" firstfrom="foreground"/>
<op name="final" TrimRightMatchType="equal"  TrimRight="- KDiff3"/>
</method>

<method comment="search">
<op name="findwnd" id="2" firstfrom="foreground"  matchtype="class" matchvalue="#32770"/>
<op name="final" ReplaceMatchType="equal|equal"  ReplaceMatchValue="search|replace" ReplaceMatchValue2="/|/"/>
</method>

</program>

<program name="bc2.exe" value="1">
<method comment="beyondcompare">
<op name="findwnd" id="2" firstfrom="foreground"/>
<op name="final" TrimRightMatchType="match|match|match|match"  TrimRight=" ? bc2| ? bc2 SDK| - Beyond Compare Platform|[*]"/>
</method>

<method comment="search">
<op name="findwnd" id="2" firstfrom="foreground"  matchtype="class" matchvalue="#32770"/>
<op name="final" ReplaceMatchType="equal|equal"  ReplaceMatchValue="search|replace" ReplaceMatchValue2="/|/"/>
</method>
</program>


<program name="jbuilderw.exe" value="1">
<method comment="jbuilderw">
<op name="findwnd" id="2" firstfrom="foreground"/>
<op name="final" TrimRightMatchType=""  TrimRight=""/>
</method>

<method comment="search">
<op name="findwnd" id="2" firstfrom="foreground"  matchtype="class" matchvalue="#32770"/>
<op name="final" ReplaceMatchType="equal|equal"  ReplaceMatchValue="search|replace" ReplaceMatchValue2="/|/"/>
</method>

</program>


<program name="bcb.exe" value="1">
<method comment="bcb">
<op name="findwnd" id="2" firstfrom="foreground"   matchtype="class" matchvalue="TEditWindow" />
<op name="final" TrimRightMatchType="match|any"  TrimRight=":*|any"/>
</method>

<method comment="search">
<op name="findwnd" id="2" firstfrom="foreground"  matchtype="class" matchvalue="#32770"/>
<op name="final" ReplaceMatchType="equal|equal"  ReplaceMatchValue="search|replace" ReplaceMatchValue2="/|/"/>
</method>

<method comment="search">
<op name="findwnd" id="2" firstfrom="foreground"  matchtype="class" matchvalue="TSrchDialog"/>
<op name="final" ReplaceMatchType="equal|equal|equal"  ReplaceMatchValue="search|replace|find text" ReplaceMatchValue2="/|/|/"/>
</method>

<method comment="replace">
<op name="findwnd" id="2" firstfrom="foreground"  matchtype="class" matchvalue="TRplcDialog"/>
<op name="final" ReplaceMatchType="equal|equal|equal"  ReplaceMatchValue="search|replace text" ReplaceMatchValue2="/|/"/>
</method>

</program>

<program name="aside.exe" value="1">
<method comment="aside">
<op name="findwnd" id="2" firstfrom="foreground"  matchtype="class" matchvalue="TFrmMain"/>
<op name="foreach" matchtype="class&amp;name" matchvalue="TPanel&amp;Panel1"/>
<op name="foreach" matchtype="class&amp;name" matchvalue="TPanel&amp;"/>
<!--op name="foreach" matchtype="class" matchvalue="TbsSkinPageControl"/-->
<op name="fortree" matchtype="class" matchvalue="TbsSkinTabSheet"/>
<op name="final" TrimRightMatchType=""  TrimRight=""/>
</method>

</program>

<program name="zsoftdev.exe" value="1">
<method >
<op name="findwnd" id="2" firstfrom="foreground"  matchtype="class" matchvalue="TMainForm"/>
<op name="foreach" matchtype="class&amp;skip" matchvalue="TPageControl&amp;1"/>
<op name="child" matchtype="class" matchvalue="TTabSheet"/>
<op name="final" TrimRightMatchType=""  TrimRight=""/>
</method>

</program>
<program name="bds.exe" value="1">
<method comment="bds">
<op name="findwnd" id="2" firstfrom="foreground"/>
<op name="foreach" matchtype="class" matchvalue="TEditorDockPanel"/>
<op name="child" matchtype="class" matchvalue="TEditWindow"/>
<op name="final" TrimRightMatchType=""  TrimRight=""/>
</method>

<method comment="search">
<op name="findwnd" id="2" firstfrom="foreground"  matchtype="class" matchvalue="#32770"/>
<op name="final" ReplaceMatchType="equal|equal"  ReplaceMatchValue="search|replace" ReplaceMatchValue2="/|/"/>
</method>

</program>


<program name="javaw.exe"  comment="myeclipse or kepler"  value="1">
<method>
<op name="findwnd" id="2" firstfrom="foreground"/>
<op name="final" TrimRightMatchType="equal|match|match"  TrimRight=" - MyEclipse Enterprise Workbench| ? Eclipse| ? Eclipse SDK"/>
</method>

<method comment="search">
<op name="findwnd" id="2" firstfrom="foreground"  matchtype="class" matchvalue="#32770"/>
<op name="final" ReplaceMatchType="equal|equal"  ReplaceMatchValue="search|replace" ReplaceMatchValue2="/|/"/>
</method>

</program>

<program name="iaride.exe|abov devstudio.exe"  value="2">
<method>
<op name="findwnd" id="3" firstfrom="foreground" />
<op name="foreach" matchtype="class" matchvalue="MDIClient"/>
<op name="child"/>
<op name="final" TrimRightMatchType=""  TrimRight=""/>
</method>
</program>

<program name="cosstudio.exe"  value="2">
<method>
<op name="findwnd" id="3" firstfrom="foreground" />
<op name="foreach" matchtype="class" matchvalue="MDIClient"/>
<op name="child"/>
<op name="final" TrimRightMatchType=""  TrimRight=""/>
</method>
</program>

<program name="pythonwin.exe"  value="1">
<method>
<op name="findwnd" id="3" firstfrom="foreground" />
<op name="foreach" matchtype="class" matchvalue="MDIClient"/>
<op name="child"/>
<op name="final" TrimRightMatchType=""  TrimRight=""/>
</method>
</program>

<program name="uv4.exe|uv2.exe|msdev.exe|ht-ide3000.exe|ide.exe|stvdebug.exe|cc_app.exe|quartus.exe"  value="1">
<method>
<op name="findwnd" id="3" firstfrom="foreground" />
<op name="foreach" matchtype="class" matchvalue="MDIClient"/>
<op name="child"/>
<op name="final" TrimRightMatchType=""  TrimRight=""/>
</method>

<method comment="search">
<op name="findwnd" id="2" firstfrom="foreground"  matchtype="class" matchvalue="#32770"/>
<op name="final" ReplaceMatchType="equal|equal|equal|equal|equal|equal"  ReplaceMatchValue="查找|替换|find|replace|search|μvision" ReplaceMatchValue2="/|/|/|/|/|/"/>
</method>

</program>


<program name="uedit32.exe|uedit64.exe"  value="8">
<method>
<op name="findwnd" id="3" firstfrom="foreground" />
<op name="foreach" matchtype="class" matchvalue="MDIClient"/>
<op name="child"/>
<op name="final" TrimRightMatchType=""  TrimRight=""/>
</method>

<method comment="search">
<op name="findwnd" id="2" firstfrom="foreground"  matchtype="class" matchvalue="#32770"/>
<op name="final" ReplaceMatchType="equal|equal|equal|equal"  ReplaceMatchValue="查找|替换|find|replace" ReplaceMatchValue2="/|/|/|/"/>
</method>

</program>

<program name="insight3.exe" value="4" extvalue="0x111|0x5C|0x7E9|0x456">
<method>
<op name="findwnd" id="3" firstfrom="foreground" />
<op name="foreach" matchtype="class" matchvalue="MDIClient"/>
<op name="child"/>
<op name="final" TrimRightMatchType="simplematch|any"  TrimRight="(*|any"/>
</method>
<method comment="search">
<op name="findwnd" id="2" firstfrom="foreground"  matchtype="class" matchvalue="#32770"/>
<op name="final" ReplaceMatchType="equal|equal|equal|equal|equal|equal"  ReplaceMatchValue="search|replace|browse project symbols|lookup references|bookmarks|search files" ReplaceMatchValue2="/|/|/|/|/|/|/"/>
</method>

</program>

<program name="notepad++.exe" value="1">
<method comment="eclipse">
<op name="findwnd" id="2" firstfrom="foreground"/>
<op name="final" TrimRightMatchType="equal|match"  TrimRight=" - Notepad++|-*]"/>
</method>

<method comment="search">
<op name="findwnd" id="2" firstfrom="foreground"  matchtype="class" matchvalue="#32770"/>
<op name="final" ReplaceMatchType="equal|equal|equal|equal"  ReplaceMatchValue="查找|替换|find|replace" ReplaceMatchValue2="/|/|/|/"/>
</method>

</program>

<program name="code.exe" value="1">
<method>
<op name="findwnd" id="2" firstfrom="foreground"/>
<op name="finalforeach" TrimRightMatchType="equal|match"  TrimRight=" - Visual Studio Code|-*]"/>
<op name="final" TrimRightMatchType="match" TrimRight=" - *" />
</method>
<method>
<op name="findwnd" id="2" firstfrom="foreground"/>
<op name="final" TrimRightMatchType="equal|match"  TrimRight=" - Visual Studio Code|-*]" />
</method>
<method comment="search">
<op name="findwnd" id="2" firstfrom="foreground"  matchtype="class" matchvalue="#32770"/>
<op name="final" ReplaceMatchType="equal|equal|equal|equal"  ReplaceMatchValue="查找|替换|find|replace" ReplaceMatchValue2="/|/|/|/"/>
</method>
</program>

<program name="editplus.exe" value="1">
<method comment="cascade">
<op name="findwnd" id="3" firstfrom="foreground" />
<op name="foreach" matchtype="class" matchvalue="MDIClient"/>
<op name="child"  matchtype="style" matchvalue="54cfc000"/>
<op name="final" TrimRightMatchType=""  TrimRight=""/>
</method>

<method comment="max">
<op name="findwnd" id="2" firstfrom="foreground"  matchtype="style" matchvalue="14CF0000"/>
<op name="final" TrimRightMatchType="equal|equal"  TrimRight=" - EditPlus|]"/>
</method>

<method comment="find">
<op name="findwnd" id="2" firstfrom="foreground"   matchtype="class" matchvalue="#32770"/>
<op name="final" ReplaceMatchType="equal|equal"  ReplaceMatchValue="find|replace" ReplaceMatchValue2="/|/"/>
</method>

</program>
<program name="ide.exe" value="1">
<method comment="ide">
<op name="findwnd" id="3" firstfrom="foreground" />
<op name="foreach" matchtype="class" matchvalue="MDIClient"/>
<op name="child"  matchtype="style" matchvalue="54cfc000"/>
<op name="final" TrimRightMatchType=""  TrimRight=""/>
</method>

<method comment="max">
<op name="findwnd" id="2" firstfrom="foreground"  matchtype="style" matchvalue="14CF0000"/>
<op name="final" TrimRightMatchType="equal|equal"  TrimRight=" - EditPlus|]"/>
</method>

<method comment="find">
<op name="findwnd" id="2" firstfrom="foreground"   matchtype="class" matchvalue="#32770"/>
<op name="final" ReplaceMatchType="equal|equal"  ReplaceMatchValue="find|replace" ReplaceMatchValue2="/|/"/>
</method>

</program>

<program name="devenv.exe" value="1">
<method comment="vs2008">
<op name="findwnd" id="4" firstfrom="foreground" matchtype="class" matchvalue="wndclass_desked_gsk"/>
<op name="foreach" matchtype="class" matchvalue="MDIClient"/>
<op name="child"  matchtype="class" matchvalue="EzMdiContainer"/>
<op name="child"  matchtype="class" matchvalue="DockingView"/>
<op name="final" TrimRightMatchType=""  TrimRight=""/>
</method>

<method comment="vs2008">
<op name="findwnd" id="4" firstfrom="foreground" matchtype="name" matchvalue="查找和替换"/>
<op name="final" ReplaceMatchType="equal"  ReplaceMatchValue="查找和替换" ReplaceMatchValue2="/"/>
</method>

<method comment="vs2010">
<op name="findiacc" id="2" firstfrom="foreground" matchtype="wndstyle" matchvalue="0x16cf0000"/>
<op name="foreach" matchtype="role&amp;name" matchvalue="0x10&amp;"/>
<op name="foreach" matchtype="role&amp;name" matchvalue="0x3c&amp;" />
<op name="foreach" matchtype="role&amp;state" matchvalue="0x25&amp;0x300002"/>
<op name="final" TrimRightMatchType=""  TrimRight=""/>
</method>
<method comment="vs2010">
<op name="findiacc" id="5" firstfrom="foreground" matchtype="name" matchvalue="查找和替换"/>
<op name="final" ReplaceMatchType="equal"  ReplaceMatchValue="查找和替换" ReplaceMatchValue2="/"/>
</method>
<method comment="vs2010">
<op name="findwnd" id="5" firstfrom="foreground" matchtype="style" matchvalue="0x16cc0000"/>
<op name="final" ReplaceMatchType="replaceall"  ReplaceMatchValue="any" ReplaceMatchValue2="/"/>
</method>
<method comment="vs2010 floatingwindow">
<op name="findiacc" id="5" firstfrom="foreground" matchtype="wndstyle" matchvalue="96cd0000"/>
<op name="final" TrimRightMatchType=""  TrimRight=""/>
</method>

<!--method name="vs2010">
<op name="findele" id="3" firstfrom="foreground" matchtype="class" matchvalue="WPF"/>
<op name="fortree" matchtype="role" matchvalue="37" matchtypemanual="state" matchvaluemanual="3145730"/>
<op name="final" trimright="" TrimRightMatchType=""  TrimRight=""/>
</method-->
</program>



</programs>